#ifdef TESTFUNCDLL_EXPORT
#define TESTFUNCDLL_API __declspec(dllexport) 
#else
#define TESTFUNCDLL_API __declspec(dllimport) 
#endif

extern "C" {
	TESTFUNCDLL_API int create_shared_memory(const char *sm_name, int sm_length)
	TESTFUNCDLL_API int copy_data_to_shared_memory(const void *shared_data_aux, int size_shared_data);
	TESTFUNCDLL_API int init_shared_memory();
	TESTFUNCDLL_API int stop_shared_memory();
}